## org.eclipse.datatools.sqltools.plan.internal.ui.view
Class PlanView

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.ui.part.WorkbenchPart
              org.eclipse.ui.part.ViewPart
                  org.eclipse.datatools.sqltools.plan.internal.ui.view.PlanView

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, org.eclipse.core.runtime.IExecutableExtension, org.eclipse.ui.IPersistable, org.eclipse.ui.IViewPart, org.eclipse.ui.IWorkbenchPart, org.eclipse.ui.IWorkbenchPart2, org.eclipse.ui.IWorkbenchPart3, org.eclipse.ui.part.IWorkbenchPartOrientation

    public class PlanView

extends org.eclipse.ui.part.ViewPart

The SQL Execution Plan view

Author:
  Hui Cao

Field Summary
`static java.lang.String` `GROUP_HISTORY`
`static java.lang.String` `GROUP_IO`
`static java.lang.String` `GROUP_MODE`
`static java.lang.String` `GROUP_NAVIGATE`
`static java.lang.String` `GROUP_REMOVE`

Fields inherited from interface org.eclipse.ui.IWorkbenchPart
`PROP_TITLE`

Constructor Summary
`PlanView()`

Method Summary
`void` `createPartControl(org.eclipse.swt.widgets.Composite parent)`
`static void` `createStandardGroups(org.eclipse.jface.action.IContributionManager menu)`
`void` `dispose()`
`org.eclipse.datatools.sqltools.plan.internal.IPlanInstance` `getCurrentPlan()` Returns the current plan shown
`boolean` `isGraphicPlanSupported(org.eclipse.datatools.sqltools.plan.internal.IPlanInstance instance)` Checks if graphic plan is supported by the given database
`void` `setFocus()`
`void` `showPlan(org.eclipse.datatools.sqltools.plan.internal.IPlanInstance instance)` Shows the given execution plan

Methods inherited from class org.eclipse.ui.part.ViewPart
`getViewSite, init, init, saveState, setInitializationData`

Methods inherited from class org.eclipse.ui.part.WorkbenchPart
`addPartPropertyListener, addPropertyListener, getAdapter, getContentDescription, getOrientation, getPartName, getPartProperties, getPartProperty, getSite, getTitle, getTitleImage, getTitleToolTip, removePartPropertyListener, removePropertyListener, setPartProperty, showBusy`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.IWorkbenchPart
`addPropertyListener, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Field Detail

### GROUP_NAVIGATE

    public static final java.lang.String GROUP_NAVIGATE

See Also:
  Constant Field Values

### GROUP_REMOVE

    public static final java.lang.String GROUP_REMOVE

See Also:
  Constant Field Values

### GROUP_IO

    public static final java.lang.String GROUP_IO

See Also:
  Constant Field Values

### GROUP_HISTORY

    public static final java.lang.String GROUP_HISTORY

See Also:
  Constant Field Values

### GROUP_MODE

    public static final java.lang.String GROUP_MODE

See Also:
  Constant Field Values

Constructor Detail

### PlanView

    public PlanView()

Method Detail

### createPartControl

    public void createPartControl(org.eclipse.swt.widgets.Composite parent)

  Specified by:
    `createPartControl` in interface `org.eclipse.ui.IWorkbenchPart`
  Specified by:
    `createPartControl` in class `org.eclipse.ui.part.WorkbenchPart`

### createStandardGroups

    public static void createStandardGroups(org.eclipse.jface.action.IContributionManager menu)

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `org.eclipse.ui.IWorkbenchPart`
  Overrides:
    `dispose` in class `org.eclipse.ui.part.WorkbenchPart`

### setFocus

    public void setFocus()

  Specified by:
    `setFocus` in interface `org.eclipse.ui.IWorkbenchPart`
  Specified by:
    `setFocus` in class `org.eclipse.ui.part.WorkbenchPart`

### getCurrentPlan

    public org.eclipse.datatools.sqltools.plan.internal.IPlanInstance getCurrentPlan()

  Returns the current plan shown

  Returns:
    the current plan shown

### showPlan

    public void showPlan(org.eclipse.datatools.sqltools.plan.internal.IPlanInstance instance)

  Shows the given execution plan

  Parameters:
    `instance` - an execution plan instance

### isGraphicPlanSupported

    public boolean isGraphicPlanSupported(org.eclipse.datatools.sqltools.plan.internal.IPlanInstance instance)

  Checks if graphic plan is supported by the given database

  Parameters:
    `instance` - a plan instance
  Returns:
    `false` if graphic plan is not supported for the given database